﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities.Auditing;

namespace BBM.ChatGLM.PromptWordType.Aggregates
{
    public class PromptWordTypes : FullAuditedAggregateRoot<Guid>, IMultiTenant
    {
        public PromptWordTypes() { }
        public PromptWordTypes(Guid id, string type, Guid? tenantId = null) : base(id)
        {
            Type = type;
            TenantId = tenantId;
        }
        public Guid? TenantId { get; set; }
        public string Type { get; set; }
    }
}
